Subject: Re: [RFC/PATCH] gitweb: Paginate project list

From: Jakub Narebski <[email-masked]>
Date: Wed, 14 May 2008 09:59:54 +0200

On Wed, 14 May 2008, Jakub Narebski wrote:
> On Tue, 13 May 2008, Lars Hjemli wrote:

>> Another (less accurate) alternative is to stat one or more of
>> packed-refs and refs/heads/*; cgit uses both of these alternatives to 
>> avoid hitting the repo (i.e. object-db) when the project list/search
>> page is generated.
> 
>                                              [It] doesn't hit the 
> object-db, but it hits I/O (perhaps very slightly); and the second 
> solution is what we can pursue for gitweb in addition to caching data.

NOTE, NOTE, NOTE! This changes _semantics_ from "Last Change"
(i.e. commit date of latest commit), to "Last Update" (when latest
batch of objects arrived at given repository).

-- 
Jakub Narebski
Poland